This method allows businesses to confirm pre-authorized amounts, either in full or partially.

### Header parameters

- `Content-Type` — application/json, required

- `Authorization` — Basic <base64>, required

  `Bearer <jwt_token>`, where `jwt_token` is the token returned in the `access_token` parameter of the authentication method response.

- `Idempotency-Key` — UUID v4

  The Idempotency-Key parameter should be unique for each new API request.
  Subsequent requests to the same API endpoint with the same Idempotency-Key header will result in the server returning the same status code and response body as the initial request.
  This functionality is particularly useful to ensure consistent outcome in scenarios where network issues or retries may lead to duplicate requests.

### Path parameters

- `order_id` — string, required

  The order identifier is returned in response to the order request.

### Body parameters

- `amount` — number

  The amount is to be confirmed. If an exact amount is specified, the confirmation will be considered full; otherwise, it will be considered partial. If no amount is specified, the entire pre-authorized `amount` will be confirmed.

- `description` — string

  A reason for confirmation.

**CURL**

```bash
curl -X POST 'https://api.bog.ge/payments/v1/payment/authorization/approve/:order_id' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
--data-raw '{
"amount": "10.5",
"description": "string"
}'
```

### Response

- `key` — string

  The key or identifier for the status of the API request.

- `message` — string

  The human-readable message associated with the API request.

- `action_id` — string

  The unique identifier for the action associated with the API request.

**RESPONSE**

```json
{
    "key": "request_received",
    "message": "Pre-authorization payment approval request received",
    "action_id": "e786283f-dc7f-48ba-bb75-12857f5a43ad"
}
```
